; Song Data
; ----------------------------------------------------------
; song1 and song2 are lists of patterns to be played
; out of the patternArray.
; They are played simlutaneously using the two oscillators

song1 ; DRUM/BASS TRACK

	;intro
	byte 38,38
	byte 38,38,40,40
	byte 38,38,40

	byte 52,52,42,56

	; i am the modern man
	byte 60,16,16
	byte 14,16,16
	byte 60,16,16
	byte 14

	; verse
	byte 12,12,12,34 ; add fill later
	byte 12,12,14,14
	byte 12,12,14,14
	byte 12,12,14,14
	byte 12,12,14,14

	byte 66,14,12,12
	byte 66,14,58

	byte 12,12,14,14
	byte 12,12,14,14
	byte 12,12,14,14
	byte 12,12,14,14

	byte 66,14,12,12
	byte 66,14,58

	; i am the modern man
	byte 60,16,16
	byte 14,16,16
	byte 60,16,16
	byte 14

	; chorus
	byte 12,12,12,12
	byte 12,12,12,12
	byte 12,12,12,12
	byte 12,12,42,42
	byte 12,12,42,42

	byte 74,74,76,76
	byte 74,74,76,76

	; interlude
	byte 74,74,76,76
	byte 74,74,76,76
	byte 74,74,76,76

	; arp
	byte 12,12,12,12

	; interlude
	byte 74,74,72,72
	byte 74,74,72,72
	byte 74,74,72,72

	; just drums
	byte 2,2,2,2
	byte 2,2,2,2

	; transition back to start
	byte 2,2,2,2
	byte 2,2,2,2
	byte 2,2,2,2

	byte 255

song2 ; MELODY TRACK

	; intro
	byte 0,0
	byte 44,46,48,50
	byte 44,46,48

	byte 50,54,54,58

	; i am the modern man
	byte 18,20,22
	byte 18,20,22
	byte 18,20,22
	byte 24

	; verse
	byte 26,26,26,26 ; add fill later
	byte 28,28,30,32
	byte 28,28,30,32
	byte 36,36,30,32
	byte 36,36,30,62

	byte 64,68,0,62
	byte 64,68,70

	byte 28,28,30,32
	byte 28,28,30,32
	byte 36,36,30,32
	byte 36,36,30,62

	byte 64,68,0,62
	byte 64,68,70

	; i am the modern man
	byte 18,20,22
	byte 18,20,22
	byte 18,20,22
	byte 24

	; chorus
	byte 0,0,0,0
	byte 6,8,10,10
	byte 6,8,10,10
	byte 6,8,6,8
	byte 6,8,6,8

	byte 6,8,6,8
	byte 6,8,6,8

	; interlude
	byte 0,0,0,0
	byte 4,4,4,4
	byte 4,4,4,4

	; arp
	byte 80,80,80,80

	; interlude
	byte 4,4,4,4
	byte 78,78,4,4
	byte 78,78,4,4

	; just drums
	byte 4,4,4,4
	byte 80,80,80,80

	; transition back to beginning
	byte 4,4,4,4
	byte 44,46,48,50
	byte 44,46,48,50

	byte 255

	

patternArray
	word patternMute, beat1 ; 0,2
	word hat, chorusMelody1		; 4,6
	word chorusMelody2, chorusMelody3		; 8,10
	word bassBeat1, bassBeat2		; 12, 14
	word bassBeat3, verseMelody1	; 16, 18
	word verseMelody2, verseMelody3	; 20, 22
	word verseMelody4, verseMelodyB1 ; 24, 26
	word verseMelodyB2, verseMelodyB3 ; 28, 30
	word verseMelodyB4, bassBeat1fill	; 32, 34
	word verseMelodyB5, bass1			; 36, 38
	word bass2, bassBeat4				; 40, 42
	word introMelody1, introMelody2		; 44, 46
	word introMelody3, introMelody4		; 48, 50
	word bassBeat5, introMelody5		; 52, 54
	word introEnd1, introEnd2			; 56, 58
	word bassBeat2fill, verseMelodyC1	; 60, 62
	word verseMelodyC2, bassBeat6		; 64, 66
	word verseMelodyC3, introEnd3		; 68, 70
	word bassBeat4alt2, bassBeat1alt	; 72, 74
	word bassBeat4alt, hat16			; 76, 78
	word arp2				 			; 80, 82

; Pattern Data
; ----------------------------------------------------------
;
; The patterns are made up of 32 numbers (bytes) of note data followed
; by 4 numbers (bytes) of accent data.
;
; Note Encoding
; ----------------------------------------------------------
;
; The 32 note numbers are encoded with sound type and pitch.
;
; The first three bits (1's and  0's) determine the 
; sound type according to the following table:
;
; 000 0 Square  = 4  tuned C -10
; 001 1 Bass    = 6  +50   
; 010 2 Pitfall = 7  +50
; 011 3 Noise   = 8  n/a
; 100 4 Buzz    = 15 +50
; 101 5 Lead    = 12 tuned
; 110 6 Saw     = 1  tuned C# scale
; 111 7 Engine  = 3  n/a
;
; The remaining 5 bits determine the pitch.
;
; 11111 is a very low pitch
; 00001 us a very high pitch
; 00100 is somewhere in between
;
; Synthcart major scale:
;
;  29=11101 26=11010 23=10111 
;  19=10011 17=10001 15=01111
;  14=01110 11=01011  9=01001
;   4=00100  2=00010  1=00001
;
; (!) Note that 255 or %11111111 means no sound (a rest)
;
; Accent Encoding
; ----------------------------------------------------------
;
; The four numbers at the end of the pattern data 
; that look like this:
;  
;	byte #%10001000, #%10001000, #%10001000, #%10001000
;
; determine which notes are accented.  The 32 bits
; from left to right correspond to the 32 notes in
; the pattern.  0=no accent, 1=accent
;



introMelody1
	byte %01001110, %01001110
	byte %01001110,0
	byte %01001110, %01001110
	byte %01001110,0
	
	byte %01001110, %01001110
	byte %01001110,0
	byte %01001110, %01001110
	byte %01001110,0

	byte %01001110, %01001110
	byte 0,0
	byte %01001111, %01001111
	byte %01001111, %01001111

	byte %01001111, %01001111
	byte %01001111, 0
	byte %01001110, %01001110
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

introMelody2
	byte 0,0
	byte 0,0
	byte %01001110, %01001110
	byte 0,0
	
	byte 0,0
	byte 0,0
	byte %01001111, %01001111
	byte 0,0


	byte %01001110, %01001110
	byte %01001110,0
	byte 0,0
	byte 0,0

	byte %01001111, %01001111
	byte %01001111, 0
	byte 0,0
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

introMelody3
	byte %01001110, %01001110
	byte %01001110, %01001110
	byte %01001110,0
	byte 0,0
	
	byte %01001111, %01001111
	byte 0,0
	byte 0,0
	byte 0,0
	
	byte %01010001,%01010001
	byte %01010001,0
	byte %01001111, %01001111
	byte %01001111,0

	byte %01001110, %01001110
	byte 0,0
	byte %01001111, %01001111
	byte %01001111, %01001111

	byte %00000000, %00000000, %000000000, %00000000

introMelody4
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111,0

patternMute
	byte 0,0
	
	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0
	
	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte %00000000, %00000000, %000000000, %00000000

	byte 0,0,0,0,0,0

introMelody5
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111, 255
	byte 255, 255
	
	byte 255, 255
	byte 255, 255
	byte 255, 255
	byte 255, 255
	
	byte %01001111, %01001111
	byte %01001111, 255
	byte %01001111, %01001111
	byte %01001111, 255

	byte 255, 255
	byte 255, 255
	byte 255, 255
	byte 255, 255
	
	byte %00000000, %00000000, %000000000, %00000000

introEnd1
	byte %00101001, %00101001
	byte 255, 255
	byte %00101001, %00101001
	byte 255, 255
	
	byte %00101001, %00101001
	byte 255, 255
	byte %00101001, %00101001
	byte 255, 255
	
	byte %00101001, %00101001
	byte 255, 255
	byte 255, 255
	byte 255, 255

	byte 255, 255
	byte 255, 255
	byte 255, 255
	byte 255, 255
	
	byte %10001000, %10001000, %100000000, %00000000

introEnd2
	byte %01100101, 255
	byte 255, 255
	byte %01100101, 255
	byte 255, 255
	
	byte %01100101, 255
	byte 255, 255
	byte %01100101, 255
	byte 255, 255
	
	byte %01100101, 255
	byte 255, 255
	byte 255, 255
	byte 255, 255

	byte 255, 255
	byte 255, 255
	byte %01001001,%01001001
	byte 255, 255
	
	byte %00000000, %10001000, %100000000, %00000000


introEnd3
	byte %00110001, %00110001
	byte 255, 255
	byte %00110001, %00110001
	byte 255, 255
	
	byte %00110001, %00110001
	byte 255, 255
	byte %00110001, %00110001
	byte 255, 255
	
	byte %00110001, %00110001
	byte 255, 255
	byte 255, 255
	byte 255, 255

	byte 255, 255
	byte 255, 255
	byte 255, 255
	byte 255, 255
	
	byte %10001000, %10001000, %100000000, %00000000





chorusMelody1
	byte %01001111, %01001111
	byte %01001111,0
	byte %01001111, %01001111
	byte %01001111,0
	
	byte %01001111, %01001111
	byte %01001111,0
	byte %01001111, %01001111
	byte %01001111,0

	byte %01001111, %01001111
	byte 0,0
	byte %01010001, %01010001
	byte %01010001, %01010001

	byte %01010001, %01010001
	byte %01010001, 0
	byte %01001111, %01001111
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

chorusMelody2
	byte 0,0
	byte 0,0
	byte %01001111, %01001111
	byte 0,0
	
	byte 0,0
	byte 0,0
	byte %01010001, %01010001
	byte 0,0


	byte %01001111, %01001111
	byte %01001111,0
	byte 0,0
	byte 0,0

	byte %01010001, %01010001
	byte %01010001, 0
	byte 0,0
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

chorusMelody3
	byte %01001111, %01001111
	byte %01001111,0
	byte %01001111, %01001111
	byte 0,0
	
	byte %10000010, %10000010
	byte 0,0
	byte %10000010, %10000010
	byte 0,0
	
	byte %10111110,%10111110
	byte %10111110,0
	byte 0,%10111110
	byte %10111110,%10111110

	byte 0,0
	byte 0, %10111110
	byte %10111110,%10111110
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

arp2
	byte %10110110, %10110110
	byte 0,0
	byte %00011001, %00011001
	byte 0,0

	byte %10110101, %10110101
	byte 0,0
	byte %10101100, %10101100
	byte 0,0

	byte %10101100, %10101100
	byte 0,0
	byte %10110101, %10110101
	byte 0,0

	byte %00011001, %00011001
	byte 0,0
	byte %10110110, %10110110
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

verseMelody1
	byte %01010011, %01010011
	byte %01010011, %01010011
	byte %01010011, %01010011
	byte %01010011, %01010011

	byte %01001110, %01001110
	byte 0,0
	byte %01001111, %01001111
	byte %01001111, %01001111
	
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111, %01001111

	byte %01010011, %01010011
	byte 0,0
	byte %11010110, %11010110
	byte %11010110, %11010110

	byte %00000000, %00000000, %000000000, %00000000

verseMelody2	
	byte %11010110, %11010110
	byte %11010110, %11010110
	byte 0,0
	byte 0,0

	byte %01001001,%01001001
	byte %01001001,0
	byte %01001001,%01001001
	byte %01001001,0

	byte %01001001,%01001001
	byte %01001001,0
	byte %10110110,%10110110
	byte 0,0

	byte 0,0
	byte 0,0
	byte %01001001,%01001001
	byte 0,0

	byte %00000000, %00000000, %00000000, %00000000

verseMelody3	
	byte %01001001,%01001001
	byte %01001001,0
	byte %01001001,%01001001
	byte %01001001,0

	byte %01001001,%01001001
	byte %01001001,0
 	byte %10110110,%10110110
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0
	byte %01010011, %01010011
	byte 0,0

	byte %00000000, %00000000, %000000000, %00000000

verseMelody4
	byte %01010011, %01010011
	byte %01010011, %01010011
	byte %01010011, %01010011
	byte %01010011, %01010011

	byte %01001110, %01001110
	byte 0,0
	byte %01001111, %01001111
	byte %01001111, %01001111
	
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111, %01001111
	byte %01001111, %01001111

	byte %01001110, %01001110
	byte %01001110, %01001110
	byte %01001110, %01001110
	byte %01001110, %01001110

	byte %00000000, %00000000, %000000000, %00000000

verseMelodyB1
	byte %10110110, %10110110
	byte %10110110, %10110110
	byte %10110110,0
	byte 0,0
	
	byte %10110110, %10110110
	byte 0,0
	byte 0,0
	byte 0,0
	
	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte %00000000, %00000000, %000000000, %00000000

verseMelodyB2
	byte %10110110, %10110110
	byte %10110110, %10110110
	byte %10110110,0
	byte 0,0
	
	byte %10110110, %10110110
	byte 0,0
	byte 0,0
	byte 0,0
	
	byte %01001111, %01001111
	byte %01001111,0
	byte %01001111, %01001111
	byte %01001111,0

	byte %01001111, %01001111
	byte %01001111,0
	byte %01010001, %01010001
	byte 0,0


	byte %00000000, %00000000, %000000000, %00000000

verseMelodyB3
	byte %10111001, %10111001
	byte %10111001, %10111001
	byte %10111001,0
	byte 0,0
	
	byte %10111001, %10111001
	byte 0,0
	byte %01001110, %01001110
	byte 0,0
	
	byte %01001110, %01001110
	byte 0,0
	byte %01001110, %01001110
	byte 0,0

	byte %01001111, %01001111
	byte 0,0
	byte %01010011, %01010011
	byte 0,0

	byte %00000000, %00000000, %000000000, %00000000

verseMelodyB4
	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0
	
	byte %10111001, %10111001
	byte %10111001, %10111001
	byte 0,0
	byte 0,0
	
	byte %10111001, %10111001
	byte %10111001, %10111001
	byte 0,0
	byte 0,0
	
	byte %10110111, %10110111
	byte %10110111, %10110111
	byte 0,0
	byte 0,0
	
	byte %00000000, %00000000, %000000000, %00000000

verseMelodyB5
	byte %10110110, %10110110
	byte %10110110, %10110110
	byte %10110110,0
	byte 0,0
	
	byte %10110110, %10110110
	byte 0,0
	byte %01001011, %01001011
	byte 0,0
	
	byte %01001001, %01001001
	byte %01001001,0
	byte %01001001, %01001001
	byte %01001001,0

	byte %01001011, %01001011
	byte %01001011,0
	byte %01001110, %01001110
	byte 0,0


	byte %00000000, %00000000, %000000000, %00000000


verseMelodyC1

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte %01001110, %01001110
	byte 0,0
	byte 0,0
	byte %01001110, %01001110

	byte 0,0
	byte 0,0
	byte %01001111, %01001111
	byte 0,0


	byte %00000000, %00000000, %000000000, %00000000


verseMelodyC2
	byte %11010110, %11010110
	byte %11010110, %11010110
	byte %11010110, 0
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0

verseMelodyC3	; overlap to save space
	byte 0,0
	byte 0,0

	byte 0,0
	byte 0,0
	byte 0,0
	byte 0,0

	byte %00000000, %00000000, %000000000, %00000000

;	byte 0,0
;	byte 0,0
;	byte 0,0
;	byte 0,0

;	byte 0,0
;	byte 0,0
;	byte 0,0
;	byte 0,0

	byte %01001110, %01001110
	byte 0,0
	byte %01001110, %01001110
	byte 0,0

	byte %01001111, %01001111
	byte 0,0
	byte %01010001, %01010001
	byte %01010001, %01010001

	byte %00000000, %00000000, %000000000, %00000000

bass1
	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %00000000, %00000000, %00000000, %00000000

bass2
	byte %00110101, %00110101
	byte %00110101,255
	byte %00110101, %00110101
	byte 255,255

	byte %00110101, %00110101
	byte %00110101,255
	byte %00110101, %00110101
	byte 255,255

	byte %00110101, %00110101
	byte %00110101,255
	byte %00110101, %00110101
	byte 255,255

	byte %00110101, %00110101
	byte %00110101,255
	byte %00110101, %00110101
	byte 255,255

	byte %00000000, %00000000, %00000000, %00000000




beat1
	byte %11111110, %11111010
	byte 255,255
	byte %01100001, 255
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %01100001, 255
	byte 255,255

	byte %11111110, %11111010
	byte 255, 255
	byte %11111110, %11111010
	byte 255, 255

	byte %01100101, 255
	byte 255, 255
	byte %01100001, 255
	byte 255, 255

	byte %10000000, %10000000, %10000000, %10000000

bassBeat1
	byte %00110001, %00110001
	byte %00110001,255
	byte %00110001, %00110001
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %00110001, %00110001
	byte 255,255

	byte %00110001, %00110001
	byte %00110001,255
	byte %00110001, %00110001
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %00110001, %00110001
	byte 255,255

	byte %10001000, %10001000, %10001000, %10001000

bassBeat1alt
	byte %00110001, %00110001
	byte %00110001,255
	byte %00110001, %00110001
	byte %10110110, 0

	byte %01100101, 255
	byte %10110110, 0
	byte %00110001, %00110001
	byte %10110110, 0

	byte %00110001, %00110001
	byte %00110001,255
	byte %00110001, %00110001
	byte %10110110, 0

	byte %01100101, 255
	byte %10110110, 0
	byte %00110001, %00110001
	byte %10110110, 0

	byte %10001000, %10001000, %10001000, %10001000

bassBeat1fill
	byte %00110001, %00110001
	byte %00110001,255
	byte %00110001, %00110001
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %00110001, %00110001
	byte 255,255

	byte %01100101, 255
	byte %01100101, 255
	byte %01100101, 255
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %01100101, 255
	byte 255,255

	byte %10001000, %10001000, %10001000, %10001000

bassBeat2
	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %00110011, %00110011
	byte 255,255

	byte %00110011, %00110011
	byte %00110011,255
	byte %00110011, %00110011
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %00110011, %00110011
	byte 255,255

	byte %10001000, %10001000, %10001000, %10001000

bassBeat2fill

	byte %01100101, 255
	byte 255,255
	byte %00110011, %00110011
	byte %00110011, %00110011

	byte %00110011, 255
	byte 255,255
	byte %00110011, %00110011
	byte 255,255

	byte %01100101, 255
	byte %00110011, %00110011
	byte %00110011, %00110011
	byte %00110011, %00110011

	byte %01100101, 255
	byte 255,255
	byte %01100101, 255
	byte %01100101, 255

	byte %10001000, %10001000, %10001000, %10001000

bassBeat3 ; Low bass note with 16 HH
	byte %01100000,255
	byte %01100000,255
	byte %00110101, %00110101
	byte %01100000,255

	byte %01100101, 255
	byte %01100000,255
	byte %00110101, %00110101
	byte %01100000,255

	byte %01100000,255
	byte %00110101,255
	byte %00110101, %00110101
	byte %01100000,255

	byte %01100101, 255
	byte %01100000,255
	byte %00110101, %00110101
	byte %01100000,255

	byte #%00001000, #%10001000, #%00001000, #%10001000


